<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.test-case-workspace.dialog.title.script-preview'"
  [attr.data-test-dialog-id]="'script-preview-dialog'"
>
  <sqtm-core-dialog-body>
    <p class="font-family-monospace" style="white-space: pre-wrap">
      {{ data }}
    </p>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-left: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
